# Data Watcher Domain Master Configuration reference

The Domain Master Configuration (DMCFG) is a YAML document that contains the essential bootstrap parameters required by the product at startup.&#x20;

The DMCFG is located on the DW Control Node at `<DOIM_HOME>/config/dmcfg.yaml`. The initial DMCFG document is automatically generated as part of the installation process and can be partially modified at any time during the product's lifetime.

## Global configuration

The following table lists the variables that apply globally to the system. The initial values of these variables are set based on user responses to the setup questions during installation. Depending on your installation's customization needs, you may provide node-level overrides for some global variables.

<table data-header-hidden><thead><tr><th valign="top"></th><th valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Default Value</td><td valign="top">Description</td></tr><tr><td valign="top"><code>env_name</code></td><td valign="top"><code>production</code></td><td valign="top">Execution environment name, e.g. "production" / "QA" / "test".<br>This is a human-readable free text that is shown in the product WUI banner and selected log messages. It is intended to be used as a quick visual identifier of the environment where a given Data Watcher instance is running.</td></tr><tr><td valign="top"><code>dataone_home</code></td><td valign="top"><code>/opt/dataone</code></td><td valign="top">Data Watcher home path where product code and some node-level state information is stored.<br>Node-level overrides can be provided for this variable.</td></tr><tr><td valign="top"><code>dataone_log_path</code></td><td valign="top"><code>/opt/dataone/log</code></td><td valign="top">Data Watcher log path where all product-generated logs and traces are stored.<br>Node-level overrides can be provided for this variable.</td></tr><tr><td valign="top"><code>number_of_datawatcher</code></td><td valign="top"><code>3</code></td><td valign="top">Number of Data Watcher hosts forming the Data Watcher cluster</td></tr><tr><td valign="top"><code>brokerconfig_journal_directory</code></td><td valign="top"><code>/opt/shared</code></td><td valign="top">AMQ active-passive broker message store path; it must be on a shared file system visible by all CEMAN nodes</td></tr><tr><td valign="top"><code>activemq_https_port</code></td><td valign="top"><code>7443</code></td><td valign="top">AMQ broker web console HTTPS listening port</td></tr><tr><td valign="top"><code>brokerconfig_jgroups_port</code></td><td valign="top"><code>7701</code></td><td valign="top">AMQ active-passive broker JGroups primary listening port, a secondary listening port brokerconfig_jgroups_port+3 for JGroups failure detection protocol will also be bound.</td></tr><tr><td valign="top"><code>brokerconfig_acceptor_core_port</code></td><td valign="top"><code>61617</code></td><td valign="top">AMQ active-active broker native protocol listening port</td></tr><tr><td valign="top"><code>brokerconfig_aa_jgroups_port</code></td><td valign="top"><code>7702</code></td><td valign="top">AMQ active-active broker JGroups primary listening port, a secondary listening port brokerconfig_aa_jgroups_port+3 for JGroups failure detection protocol will also be bound.</td></tr><tr><td valign="top"><code>brokerconfig_aa_acceptor_core_port</code></td><td valign="top"><code>61617</code></td><td valign="top">AMQ active-active broker native protocol listening port</td></tr><tr><td valign="top"><code>brokerconfig_aa_scaledown_jgroups_port</code></td><td valign="top"><code>7703</code></td><td valign="top">AMQ active-active broker scaledown jgroups primary listening port, a secondary listening port brokerconfig_aa_scaledown_jgroups_port+3 for JGroups failure detection protocol will also be bound.</td></tr><tr><td valign="top"><code>activemq_localcontroller_port</code></td><td valign="top"><code>7772</code></td><td valign="top">AMQ local controller listening port, internally used by the product to stop/check a running AMQ broker</td></tr><tr><td valign="top"><code>dwapi_https_port</code></td><td valign="top"><code>2580</code></td><td valign="top"><p>DATA WATCHER APIs HTTPS listening port.<br>To change this default value during the update procedure, edit the file $DOIM_HOME/NEXT/config/dmcfg.yaml after update-prepare phase and before update-commit.</p><p>To change this default value after updating the environment, edit the file $DOIM_HOME/config/dmcfg.yaml and execute the following command to propagate the changes:</p><p>cd $DOIM_HOME/bin</p><p>./doim.sh domain-deploycfg</p></td></tr><tr><td valign="top"><code>zk_port</code></td><td valign="top"><code>2181</code></td><td valign="top">DATA WATCHER Zookeeper listening port</td></tr><tr><td valign="top"><code>net_port</code></td><td valign="top"><code>27017</code></td><td valign="top">DATA WATCHER embedded MongoDB listening port</td></tr><tr><td valign="top"><code>storm_worker_port</code></td><td valign="top"><code>6710</code></td><td valign="top">DATA WATCHER base listening port for Storm workers port range<br><br>Ports from storm_worker_port to storm_worker_port+ 9 could be listened to (in a worst-case scenario, the typical actual number is less than that).</td></tr><tr><td valign="top"><code>ssl_default_keystore_password_obf</code></td><td valign="top"><code>N/A</code></td><td valign="top">ACTIVEMQ SSL/TLS P12 keystore password</td></tr><tr><td valign="top"><code>amq_web_console_password_obf</code></td><td valign="top"><code>N/A</code></td><td valign="top">Set the AMQ web console "amqadmin" user password</td></tr><tr><td valign="top"><code>DW_SUPERUSER_PASSWORD</code></td><td valign="top"> </td><td valign="top">Data Watcher IAM "admin" user's password</td></tr></tbody></table>

## Node configuration

The next table lists the variables that have a node-level scope, meaning a value must be specified for each node. Depending on the number of nodes, one or more options for each variable must be specified during the installation phase.

For example, if you have three Data Watcher hosts, you must enter three hostname variables.

<table data-header-hidden><thead><tr><th valign="top"></th><th valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Default value</td><td valign="top">Description</td></tr><tr><td valign="top"><code>hostname</code></td><td valign="top"> </td><td valign="top">Managed node hostname</td></tr><tr><td valign="top"><code>dataone_user</code></td><td valign="top"> </td><td valign="top">Managed node SSH connection username</td></tr><tr><td valign="top"><code>N/A</code></td><td valign="top"><code>N/A</code></td><td valign="top">Managed node SSH connection password</td></tr><tr><td valign="top"><code>activemq_server_name</code></td><td valign="top"><code>amq1</code></td><td valign="top">CEMAN AMQ Liberty server name</td></tr></tbody></table>

&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.primeur.com/data-one-installation-manager/install-data-watcher/data-watcher-domain-master-configuration-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
